import { PropType } from 'vue';
import { default as Pageable } from '../Pageable';
/**
 * Can be used to perform similar functions to a table if the entries are passed as tiles in the slot.
 */
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    /**
     * The number of elements currently displayed
     * @property loading
     * @type Boolean
     * @default false
     */
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The Pageable object as in Basetable
     * @property pageable
     * @type {Pageable} Objekt
     * @required
     */
    pageable: {
        type: PropType<Pageable>;
        required: true;
    };
    /**
     * The number of elements currently displayed
     * @property entitySize
     * @type Number
     * @default ""
     */
    entitySize: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The DIVelement on that will be scrolled.
     * @property scrollDivDataTestId
     * @type String
     * @default ""
     */
    scrollDivDataTestId: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the main container class.
     * @property mainClass
     * @type String
     * @default ""
     */
    mainClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the slot container class.
     * @property slotClass
     * @type String
     * @default ""
     */
    slotClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the icons.
     * @property iconsPositionClass
     * @type String
     * @default "absolute bottom-5"
     */
    iconsPositionClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The number is in px and indicates an offset at which reloading is triggered.
     * The number is subtracted from the actual scrollHeight of the html targes.
     * @property scrollHeightOffset
     * @type Number
     * @default 10
     */
    scrollHeightOffset: {
        type: NumberConstructor;
        default: number;
    };
}>, {
    screenHeight: import('vue').Ref<number, number>;
    scrollDiv: import('vue').Ref<HTMLDivElement | undefined, HTMLDivElement | undefined>;
    scrollDown: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, ("load-data" | "update:pageable")[], "load-data" | "update:pageable", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * The number of elements currently displayed
     * @property loading
     * @type Boolean
     * @default false
     */
    loading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The Pageable object as in Basetable
     * @property pageable
     * @type {Pageable} Objekt
     * @required
     */
    pageable: {
        type: PropType<Pageable>;
        required: true;
    };
    /**
     * The number of elements currently displayed
     * @property entitySize
     * @type Number
     * @default ""
     */
    entitySize: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The DIVelement on that will be scrolled.
     * @property scrollDivDataTestId
     * @type String
     * @default ""
     */
    scrollDivDataTestId: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the main container class.
     * @property mainClass
     * @type String
     * @default ""
     */
    mainClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the slot container class.
     * @property slotClass
     * @type String
     * @default ""
     */
    slotClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Attributes of the icons.
     * @property iconsPositionClass
     * @type String
     * @default "absolute bottom-5"
     */
    iconsPositionClass: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The number is in px and indicates an offset at which reloading is triggered.
     * The number is subtracted from the actual scrollHeight of the html targes.
     * @property scrollHeightOffset
     * @type Number
     * @default 10
     */
    scrollHeightOffset: {
        type: NumberConstructor;
        default: number;
    };
}>> & Readonly<{
    "onLoad-data"?: ((...args: any[]) => any) | undefined;
    "onUpdate:pageable"?: ((...args: any[]) => any) | undefined;
}>, {
    loading: boolean;
    mainClass: string;
    entitySize: number;
    scrollDivDataTestId: string;
    slotClass: string;
    iconsPositionClass: string;
    scrollHeightOffset: number;
}, {}, {
    BaseIcon: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        name: {
            type: StringConstructor;
            required: true;
        };
        iconClass: {
            type: StringConstructor;
            default: string;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
    }>, {
        isLoaded: import('vue').Ref<any, any>;
    }, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        name: {
            type: StringConstructor;
            required: true;
        };
        iconClass: {
            type: StringConstructor;
            default: string;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        label: {
            type: StringConstructor;
            default: string;
        };
    }>> & Readonly<{}>, {
        label: string;
        size: string;
        iconClass: string;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
